Package org.eclipse.net4j.util.security

## Interface INegotiator

- All Known Implementing Classes:
    `ChallengeNegotiator`, `ChallengeResponseNegotiator`, `Negotiator`, `ResponseNegotiator`

      public interface INegotiator

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isInitiator()` |
    `void` | `negotiate​(INegotiationContext context)` |

- - ### Method Detail

    - #### isInitiator

          boolean isInitiator()

      Since:
        2.0

    - #### negotiate

          void negotiate​(INegotiationContext context)